#ifndef __CALC_BUTTON_H
#define __CALC_BUTTON_H

#include "Calc.h"
#include <qpushbutton.h>

class QCalcButton : public QPushButton
{
	Q_OBJECT

	public:

		QCalcButton(const QString &text, QWidget *parent, const CALC_OP opcode=NOP, const char *name=0);
		void setFunc(const QString &, const CALC_OP opcode=NOP);

	protected:
		QString func_name;
		CALC_OP opcode;

	public slots:
		void doFunc();

	signals:
		void funcName(const QString &);	
		void funcOp(const QString &, const CALC_OP);
};

#endif //__CALC_BUTTON_H

