#ifndef __CALC_ERROR_H
#define __CALC_ERROR_H


#include "CalcObject.h"



class CCalcError : public CCalcObject  
{
	public:
		CCalcError(const char *msg = "No error", CCalcObject *parent=0);
		virtual ~CCalcError();

		CCalcObject *exec(CALC_OP opcode);
		const char *getString();
		const char getType();

		char value[ERROR_MSG_LEN];

	protected:
		CCalcObject *op_dup();
};

#endif // __CALC_Error_H
