#include "CalcWindow.h"
#include <qpe/qpeapplication.h>
#include <qmessagebox.h>

static const char * SlideRuleZ_xpm[] = {
	"32 32 10 1",
	"       c None",
	".      c #585858",
	"+      c #FFFFC0",
	"@      c #FFFFFF",
	"#      c #DCC846",
	"$      c #DCCB5C",
	"%      c #008000",
	"&      c #0080FF",
	"*      c #000000",
	"=      c #C0C000",
	"                                ",
	"                                ",
	"                    .           ",
	"         +          @.          ",
	"        +#$        @@@.         ",
	"       +###$      @@%@@.        ",
	"       @$###$    @@@@%@@.       ",
	"      @@@$###$  @@@@@@@@@.      ",
	"     @&@@@$###$@@@@@*@@@.       ",
	"    @@@&@*@$###$%@@@@*@.        ",
	"   @&@@@@@*@$###$%*@@@.         ",
	"  @@@&@@@@@.@$###$@*@.          ",
	" @&@@@*@@@.@@@$###$@.           ",
	"@@@&@@@*@.@@@@@$###$            ",
	"&@@@*@@@.@@@@@*@$###$           ",
	"@&@*@*@.@@%@@@@*@####$          ",
	"@@@@*@.@@@@%*@@@.@####$         ",
	"@@@@@.@@@@@@@*@.@@@$###$        ",
	"*@@@.@@@@@*@@@.@@@@@$###=       ",
	"@*@.@@%@@@@*@.@@@@@@@$#=        ",
	"@@.@@@@%*@@@.@@@@@@@@@=         ",
	"@.@@@@@@@*@.@*@@@@@@@.          ",
	".@@%@@*@@@.@@@*@@@@@.           ",
	"@@@@%@@*@.@@@@@@@@@.            ",
	"@%@@*@@@.@@@@@@@@@.             ",
	"%@%@@*@.@*@@@@@@@.              ",
	"@%*@@@.@@@*@@@@@.               ",
	"@@@*@.@@@@@@@@@.                ",
	"*@@@.@*@@@@@@@.                 ",
	"@*@.@@@*@@@@@.                  ",
	"@@.@*@@@@@@@.                   ",
	"@.@@@*@@@@@.                    "};


int main( int argc, char ** argv )
{
    QPEApplication app( argc, argv );

    QCalcWindow window;
    window.setIcon(QPixmap(SlideRuleZ_xpm));
    app.showMainWidget( &window );

    return app.exec();
}
