#ifndef __CALC_DOUBLE_H
#define __CALC_DOUBLE_H


#include "CalcObject.h"


class CCalcDouble : public CCalcObject  
{
	public:
		CCalcDouble(double init_val=0.0, CCalcObject *parent=0);
		virtual ~CCalcDouble();

		CCalcObject *exec(CALC_OP opcode);
		const char *getString();
		const char getType();

		double value;

	protected:
		CCalcObject *op_dup();
		CCalcObject *op_add();
		CCalcObject *op_sub();
		CCalcObject *op_mul();
		CCalcObject *op_div();
		CCalcObject *op_pwr();
		CCalcObject *op_root();

		double angle(double in_val);
		double antiAngle(double in_val);
};

#endif // __CALC_DOUBLE_H
