#ifndef __CALC_INTEGER_H
#define __CALC_INTEGER_H


#include "CalcObject.h"


class CCalcInteger : public CCalcObject  
{
	public:
		CCalcInteger(long init_val=0, CCalcObject *parent=0);
		virtual ~CCalcInteger();

		CCalcObject *exec(CALC_OP opcode);
		const char *getString();
		const char getType();

		long value;

	protected:
		CCalcObject *op_dup();
		CCalcObject *op_add();
		CCalcObject *op_sub();
		CCalcObject *op_mul();
		CCalcObject *op_div();

		CCalcObject *doubleFunc(CALC_OP opcode);
		CCalcObject *intFunc(CALC_OP opcode);
};

#endif // __CALC_INTEGER_H
